# Created by pyp2rpm-3.3.2
%global pypi_name sum-walker
%global srcname sum_walker

Name:           python-%{pypi_name}
Version:        0.8.2
Release:        %mkrel 10
Summary:        Iterate over sums of a certain number of elements
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/sum_walker
Source0:        %{pypi_source}
# fix for doc build with sphinx 8.1
Patch0:         sum-walker-docs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)


%description
Python module to iterate over sums of a certain number of elements.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python-%{srcname}-doc < 0.8.2-6
Obsoletes:      python3-%{srcname} < 0.8.2-6

%description -n python3-%{pypi_name}
Python module to iterate over sums of a certain number of elements.

%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i "/--cov=sum_walker --cov-report/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/LICENSE.rst
%doc README.rst
%doc html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.2-10.mga10
+ Revision: 2239232
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.8.2-9.mga10
+ Revision: 2155950
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 0.8.2-8.mga10
+ Revision: 2150012
- fix for doc build with sphinx 8.1

* Mon Dec 23 2024 papoteur <papoteur> 0.8.2-7.mga10
+ Revision: 2129280
- fix tests

* Sun Jun 30 2024 wally <wally> 0.8.2-6.mga10
+ Revision: 2078240
- fix and normalize pkg names to follow PEP 503

* Sat Dec 16 2023 papoteur <papoteur> 0.8.2-5.mga10
+ Revision: 2018356
- rebuild for python3.12
- adapt to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 0.8.2-4.mga9
+ Revision: 1832750
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.8.2-3.mga9
+ Revision: 1782272
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.2-2.mga9
+ Revision: 1732950
- Rebuild for python 3.9

* Tue May 12 2020 shlomif <shlomif> 0.8.2-1.mga8
+ Revision: 1583403
- by cheese-e-boi

